net.minecraft.client.audio

## Class SoundHandler

- java.lang.Object
- - net.minecraft.client.audio.SoundHandler

- All Implemented Interfaces:
    IResourceManagerReloadListener, IUpdatePlayerListBox

      public class SoundHandler
      extends java.lang.Object
      implements IResourceManagerReloadListener, IUpdatePlayerListBox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SoundPoolEntry` | `missing_sound`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundHandler(IResourceManager p_i45122_1_, GameSettings p_i45122_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SoundEventAccessorComposite` | `getRandomSoundFromCategories(SoundCategory... p_147686_1_)`
    `SoundEventAccessorComposite` | `getSound(ResourceLocation p_147680_1_)`
    `boolean` | `isSoundPlaying(ISound p_147692_1_)`
    `void` | `onResourceManagerReload(IResourceManager par1ResourceManager)`
    `void` | `pauseSounds()`
    `void` | `playDelayedSound(ISound p_147681_1_, int p_147681_2_)`
    `void` | `playSound(ISound p_147682_1_)`
    `void` | `resumeSounds()`
    `void` | `setListener(EntityPlayer p_147691_1_, float p_147691_2_)`
    `void` | `setSoundLevel(SoundCategory p_147684_1_, float p_147684_2_)`
    `void` | `stopSound(ISound p_147683_1_)`
    `void` | `stopSounds()`
    `void` | `unloadSounds()`
    `void` | `update()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### missing_sound

          public static final SoundPoolEntry missing_sound

  - ### Constructor Detail

    - #### SoundHandler

          public SoundHandler(IResourceManager p_i45122_1_,
                      GameSettings p_i45122_2_)

  - ### Method Detail

    - #### onResourceManagerReload

          public void onResourceManagerReload(IResourceManager par1ResourceManager)

      Specified by:
        `onResourceManagerReload` in interface `IResourceManagerReloadListener`

    - #### getSound

          public SoundEventAccessorComposite getSound(ResourceLocation p_147680_1_)

    - #### playSound

          public void playSound(ISound p_147682_1_)

    - #### playDelayedSound

          public void playDelayedSound(ISound p_147681_1_,
                              int p_147681_2_)

    - #### setListener

          public void setListener(EntityPlayer p_147691_1_,
                         float p_147691_2_)

    - #### pauseSounds

          public void pauseSounds()

    - #### stopSounds

          public void stopSounds()

    - #### unloadSounds

          public void unloadSounds()

    - #### update

          public void update()

      Specified by:
        `update` in interface `IUpdatePlayerListBox`

    - #### resumeSounds

          public void resumeSounds()

    - #### setSoundLevel

          public void setSoundLevel(SoundCategory p_147684_1_,
                           float p_147684_2_)

    - #### stopSound

          public void stopSound(ISound p_147683_1_)

    - #### getRandomSoundFromCategories

          public SoundEventAccessorComposite getRandomSoundFromCategories(SoundCategory... p_147686_1_)

    - #### isSoundPlaying

          public boolean isSoundPlaying(ISound p_147692_1_)